# Record Class SyTextID

java.lang.Object
java.lang.Record
com.io7m.jsycamore.api.text.SyTextID

Record Components:
  `value` - The value

All Implemented Interfaces:
  `Comparable<SyTextID>`

public record SyTextID(BigInteger value) extends Record implements Comparable<SyTextID>
An identifier for a section of text.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SyTextID(BigInteger value)`
  Creates an instance of a `SyTextID` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(SyTextID other)`
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `static SyTextID`
  `first()`
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `SyTextID`
  `next()`
  `SyTextID`
  `previous()`
  `String`
  `toString()`
  Returns a string representation of this record class.
  `BigInteger`
  `value()`
  Returns the value of the `value` record component.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SyTextID

    public SyTextID(BigInteger value)
    Creates an instance of a `SyTextID` record class.
    Parameters:
      `value` - the value for the `value` record component

- ## Method Details

  - ### first

    public static SyTextID first()
    Returns:
      The first text ID

  - ### compareTo

    public int compareTo(SyTextID other)
    Specified by:
      `compareTo` in interface `Comparable<SyTextID>`

  - ### toString

    public String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### next

    public SyTextID next()
    Returns:
      The next text ID

  - ### previous

    public SyTextID previous()
    Returns:
      The previous text ID

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### value

    public BigInteger value()
    Returns the value of the `value` record component.
    Returns:
      the value of the `value` record component